com.brightcove.player.mediacontroller

## Interface PreviewLoader

- All Known Implementing Classes:
    DefaultPreviewLoader

      public interface PreviewLoader

  The component responsible for loading `TimedThumbnail` from a given `ThumbnailDocument` and the playhead position, into the `ThumbnailView`.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static PreviewLoader` | `EMPTY` An Empty Preview Loader.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `loadPreview(ThumbnailView thumbnailView, long playheadPosition, long duration)` Given a playhead position, finds a `TimedThumbnail` in the `ThumbnailDocument` set with `setThumbnailDocument(ThumbnailDocument)`, and loads it into the `ThumbnailView`.
    `void` | `setThumbnailDocument(ThumbnailDocument thumbnailDocument)` Sets the `ThumbnailDocument` containing the `TimedThumbnail` corresponding to a particular `Video`.

- - ### Field Detail

    - #### EMPTY

          static final PreviewLoader EMPTY

      An Empty Preview Loader. None of its methods are implemented.

  - ### Method Detail

    - #### setThumbnailDocument

          void setThumbnailDocument(@NonNull
                                    ThumbnailDocument thumbnailDocument)

      Sets the `ThumbnailDocument` containing the `TimedThumbnail` corresponding to a particular `Video`.
      Parameters:
        `thumbnailDocument` - the Thumbnail document

    - #### loadPreview

          void loadPreview(@NonNull
                           ThumbnailView thumbnailView,
                           long playheadPosition,
                           long duration)

      Given a playhead position, finds a `TimedThumbnail` in the `ThumbnailDocument` set with `setThumbnailDocument(ThumbnailDocument)`, and loads it into the `ThumbnailView`.
      Parameters:
        `thumbnailView` - the view to load the preview thumbnail image
        `playheadPosition` - the Video's playhead position
        `duration` - the Video's duration